<?php

/**
 *
 * @link              https://fuji-9.com/
 * @since             1.0.0
 * @package           Eus_For_Woocommerce
 *
 * @wordpress-plugin
 * Plugin Name:       Easy Up-Sell for WooCommerce
 * Plugin URI:        https://fuji-9.com/easy-up-sell-for-WooCommerce
 * Description:       Easy Up-Sell for WooCommerce
 * Version:           1.0.0
 * Author:            Fuji 9
 * Author URI:        https://fuji-9.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       eus-for-woocommerce
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'EUS_FOR_WOOCOMMERCE_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-eus-for-woocommerce-activator.php
 */
function activate_eus_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eus-for-woocommerce-activator.php';
	Eus_For_Woocommerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-eus-for-woocommerce-deactivator.php
 */
function deactivate_eus_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eus-for-woocommerce-deactivator.php';
	Eus_For_Woocommerce_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_eus_for_woocommerce' );
register_deactivation_hook( __FILE__, 'deactivate_eus_for_woocommerce' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-eus-for-woocommerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_eus_for_woocommerce() {

	$plugin = new Eus_For_Woocommerce();
	$plugin->run();

}
run_eus_for_woocommerce();
